Skip to main content
GET
/
api
/
v1
/
info
/
orders
/
medication-timings
Gets the list of supported medication timings.
curl --request GET \
  --url https://sdp.suki-stage.com/api/v1/info/orders/medication-timings \
  --header 'sdp_suki_token: <sdp_suki_token>'
{
  "timings": [
    {
      "code": "WITH_MEALS"
    }
  ]
}
Use this endpoint to get the list of supported medication timings.

Code examples

import requests

url = "https://sdp.suki.ai/api/v1/info/orders/medication-timings"
headers = {
    "sdp_suki_token": "<sdp_suki_token>"
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    timings_data = response.json()
    print("Supported Medication Timings:")
    for item in timings_data.get("timings", []):
        print(f"  {item.get('code')}")
else:
    print(f"Failed to get medication timings: {response.status_code}")
    print(response.json())

Headers

sdp_suki_token
string
required

sdp_suki_token

Response

Success Response

Response body for the /info/orders/medication-timings endpoint

timings
object[]

Information about supported medication timings

Last modified on April 20, 2026